> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphractal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# by-ids

> Retrieve summary data for /summary/by-ids. Returns relevant metrics and indicators.



## OpenAPI

````yaml /api-reference/openapi.json post /summary/by-ids
openapi: 3.1.1
info:
  title: Alphractal API
  version: 0.3.0
  description: >-
    Alphractal API provides comprehensive cryptocurrency on-chain data including
    mining metrics, address analytics, block information, fee data, market
    indicators, supply metrics, exchange flows, and more.
servers:
  - url: https://api.alphractal.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /summary/by-ids:
    post:
      tags:
        - Summary
      summary: by-ids
      description: >-
        Retrieve summary data for /summary/by-ids. Returns relevant metrics and
        indicators.
      requestBody:
        content:
          multipart/form-data:
            schema:
              title: GetSummaryByIds
              type: object
              properties:
                asset_ids:
                  type: array
                  items:
                    type: string
              description: GetSummaryByIds
            encoding:
              asset_ids:
                style: form
                explode: false
          application/json:
            schema:
              $ref: '#/components/schemas/GetSummaryByIds'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Summary'
components:
  schemas:
    GetSummaryByIds:
      title: GetSummaryByIds
      type: object
      properties:
        asset_ids:
          type: array
          items:
            type: string
      description: GetSummaryByIds
    Summary:
      type: object
      properties:
        asset_id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        asset_type:
          type:
            - string
            - 'null'
        categories:
          type:
            - array
            - 'null'
          items:
            type: string
        ecosystem:
          type:
            - string
            - 'null'
        last_updated:
          type: string
          format: date-time
        rank:
          type:
            - integer
            - 'null'
          format: int32
        price_usd:
          $ref: '#/components/schemas/SummaryPriceUsd'
        market_cap:
          type: number
          format: double
        volume_24h:
          type: number
          format: double
        volume_change_24h:
          type: number
          format: double
        open_interest:
          $ref: '#/components/schemas/SummaryOpenInterest'
        oi_market_cap:
          type: number
          format: double
        short_term_oi_trend:
          type: number
          format: double
        long_term_oi_trend:
          type: number
          format: double
        long_short_ratio:
          type: number
          format: double
        whale_vs_retail_delta:
          type: number
          format: double
        top_trader_sentiment:
          type: number
          format: double
        liquidation_24h:
          type: number
          format: double
        long_liquidation_24h:
          type: number
          format: double
        short_liquidation_24h:
          type: number
          format: double
        rsi_24h:
          type: number
          format: double
        ma200_1d_pct:
          type: number
          format: double
        macd_24h:
          type:
            - string
            - 'null'
        circulating_supply:
          type: number
          format: double
        url_image:
          type:
            - string
            - 'null'
        adr_act_cnt:
          $ref: '#/components/schemas/SummaryTimeSeriesMetric'
        tx_cnt:
          $ref: '#/components/schemas/SummaryTimeSeriesMetric'
        tx_tfr_val_adj_usd:
          $ref: '#/components/schemas/SummaryTimeSeriesMetric'
        realized_price:
          type: number
          format: double
        mvrv:
          type: number
          format: double
        delta_growth_rate_365ma:
          type: number
          format: double
        nupl:
          $ref: '#/components/schemas/SummaryNupl'
        exchange_reserve_usd:
          type: number
          format: double
        exchange_reserve:
          $ref: '#/components/schemas/SummaryExchangeReserve'
        large_holder_share_top100:
          type: number
          format: double
        market_sentiment:
          type:
            - string
            - 'null'
        last:
          type: number
          format: double
        previous:
          type: number
          format: double
        change:
          type: number
          format: double
        change_30d:
          type: number
          format: double
        change_ytd:
          type: number
          format: double
        change_1y:
          type: number
          format: double
        highest:
          type: number
          format: double
        lowest:
          type: number
          format: double
        sparkline:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
        page_filter:
          type:
            - array
            - 'null'
          items:
            type: string
      additionalProperties: false
    SummaryPriceUsd:
      type: object
      properties:
        current:
          type: number
          format: double
        change1d:
          type: number
          format: double
        change7d:
          type: number
          format: double
        change30d:
          type: number
          format: double
        changeYtd:
          type: number
          format: double
        change1y:
          type: number
          format: double
        sparkline:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
      additionalProperties: false
    SummaryOpenInterest:
      type: object
      properties:
        current:
          type: number
          format: double
        change1d:
          type: number
          format: double
        change7d:
          type: number
          format: double
      additionalProperties: false
    SummaryTimeSeriesMetric:
      type: object
      properties:
        current:
          type: number
          format: double
        change1d:
          type: number
          format: double
        change7d:
          type: number
          format: double
        change30d:
          type: number
          format: double
        changeYtd:
          type: number
          format: double
        change1y:
          type: number
          format: double
        sparkline:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
      additionalProperties: false
    SummaryNupl:
      type: object
      properties:
        current:
          type: number
          format: double
        minNupl:
          type: number
          format: double
        maxNupl:
          type: number
          format: double
        label:
          type:
            - string
            - 'null'
      additionalProperties: false
    SummaryExchangeReserve:
      type: object
      properties:
        current:
          type: number
          format: double
        change1d:
          type: number
          format: double
        change7d:
          type: number
          format: double
        change30d:
          type: number
          format: double
        changeYtd:
          type: number
          format: double
        change1y:
          type: number
          format: double
        sparkline:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
        urlImage:
          type:
            - string
            - 'null'
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        API Key authentication. Include your API key in the X-Api-Key header for
        all requests.

````